<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::playlistParser::test::ContentDecrypterTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1playlist_parser.html">playlistParser</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1playlist_parser_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test.html">ContentDecrypterTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::playlistParser::test::ContentDecrypterTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Test class for <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html">ContentDecrypter</a> class.  
 <a href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::playlistParser::test::ContentDecrypterTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test_inherit__map" id="alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::playlistParser::test::ContentDecrypterTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test_coll__map" id="alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:adebba5edb342c1ef611907e32d81cc11"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test.html#adebba5edb342c1ef611907e32d81cc11">SetUp</a> () override</td></tr>
<tr class="memdesc:adebba5edb342c1ef611907e32d81cc11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure test instance.  <a href="#adebba5edb342c1ef611907e32d81cc11">More...</a><br /></td></tr>
<tr class="separator:adebba5edb342c1ef611907e32d81cc11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ce6a910d5ce9ddfee1dfbb343e24484"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test.html#a6ce6a910d5ce9ddfee1dfbb343e24484">TearDown</a> () override</td></tr>
<tr class="memdesc:a6ce6a910d5ce9ddfee1dfbb343e24484"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tear down test instance.  <a href="#a6ce6a910d5ce9ddfee1dfbb343e24484">More...</a><br /></td></tr>
<tr class="separator:a6ce6a910d5ce9ddfee1dfbb343e24484"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad27caf935f5473e0da1f81505b376042"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test.html#ad27caf935f5473e0da1f81505b376042">readDecryptedContent</a> (size_t readSize)</td></tr>
<tr class="separator:ad27caf935f5473e0da1f81505b376042"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ac0030e2e734314f7ea9ad836202df7fe"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_in_process_attachment.html">InProcessAttachment</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test.html#ac0030e2e734314f7ea9ad836202df7fe">m_attachment</a></td></tr>
<tr class="memdesc:ac0030e2e734314f7ea9ad836202df7fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Attachment used for writing decrypted content.  <a href="#ac0030e2e734314f7ea9ad836202df7fe">More...</a><br /></td></tr>
<tr class="separator:ac0030e2e734314f7ea9ad836202df7fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abac884aa39e274703189d2c13844d2b9"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_writer.html">AttachmentWriter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test.html#abac884aa39e274703189d2c13844d2b9">m_writer</a></td></tr>
<tr class="memdesc:abac884aa39e274703189d2c13844d2b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writer to write decrypted content.  <a href="#abac884aa39e274703189d2c13844d2b9">More...</a><br /></td></tr>
<tr class="separator:abac884aa39e274703189d2c13844d2b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29b8f3e274e9e6d4eb071b12e244d1d4"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">AttachmentReader</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test.html#a29b8f3e274e9e6d4eb071b12e244d1d4">m_reader</a></td></tr>
<tr class="memdesc:a29b8f3e274e9e6d4eb071b12e244d1d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reader to read decrypted content.  <a href="#a29b8f3e274e9e6d4eb071b12e244d1d4">More...</a><br /></td></tr>
<tr class="separator:a29b8f3e274e9e6d4eb071b12e244d1d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a000b90ff8314c8c643fb10d362803d87"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html">ContentDecrypter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_content_decrypter_test.html#a000b90ff8314c8c643fb10d362803d87">m_decrypter</a></td></tr>
<tr class="memdesc:a000b90ff8314c8c643fb10d362803d87"><td class="mdescLeft">&#160;</td><td class="mdescRight">Instance of the <code><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_iterative_playlist_parser.html">IterativePlaylistParser</a></code>.  <a href="#a000b90ff8314c8c643fb10d362803d87">More...</a><br /></td></tr>
<tr class="separator:a000b90ff8314c8c643fb10d362803d87"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test class for <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html">ContentDecrypter</a> class. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ad27caf935f5473e0da1f81505b376042"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad27caf935f5473e0da1f81505b376042">&#9670;&nbsp;</a></span>readDecryptedContent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::playlistParser::test::ContentDecrypterTest::readDecryptedContent </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>readSize</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Helper method to read a string from attachment reader.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">readSize</td><td>The size of content that needs to be read. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The string that has been read from the attachment reader. </dd></dl>

</div>
</div>
<a id="adebba5edb342c1ef611907e32d81cc11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adebba5edb342c1ef611907e32d81cc11">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::playlistParser::test::ContentDecrypterTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Configure test instance. </p>

</div>
</div>
<a id="a6ce6a910d5ce9ddfee1dfbb343e24484"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ce6a910d5ce9ddfee1dfbb343e24484">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::playlistParser::test::ContentDecrypterTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Tear down test instance. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ac0030e2e734314f7ea9ad836202df7fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0030e2e734314f7ea9ad836202df7fe">&#9670;&nbsp;</a></span>m_attachment</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_in_process_attachment.html">InProcessAttachment</a>&gt; alexaClientSDK::playlistParser::test::ContentDecrypterTest::m_attachment</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Attachment used for writing decrypted content. </p>

</div>
</div>
<a id="a000b90ff8314c8c643fb10d362803d87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a000b90ff8314c8c643fb10d362803d87">&#9670;&nbsp;</a></span>m_decrypter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_content_decrypter.html">ContentDecrypter</a>&gt; alexaClientSDK::playlistParser::test::ContentDecrypterTest::m_decrypter</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Instance of the <code><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_iterative_playlist_parser.html">IterativePlaylistParser</a></code>. </p>

</div>
</div>
<a id="a29b8f3e274e9e6d4eb071b12e244d1d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29b8f3e274e9e6d4eb071b12e244d1d4">&#9670;&nbsp;</a></span>m_reader</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">AttachmentReader</a>&gt; alexaClientSDK::playlistParser::test::ContentDecrypterTest::m_reader</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reader to read decrypted content. </p>

</div>
</div>
<a id="abac884aa39e274703189d2c13844d2b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abac884aa39e274703189d2c13844d2b9">&#9670;&nbsp;</a></span>m_writer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_writer.html">AttachmentWriter</a>&gt; alexaClientSDK::playlistParser::test::ContentDecrypterTest::m_writer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Writer to write decrypted content. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/PlaylistParser/test/<a class="el" href="_content_decrypter_test_8cpp.html">ContentDecrypterTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
